| Home | Libraries | People | FAQ | More

##### ssl::stream::shutdown (2 of 2 overloads)

Shut down SSL on the stream.

    boost::system::error_code shutdown(
        boost::system::error_code & ec);

This function is used to shut down SSL on the stream. The function call will block until SSL has been shut down or an error occurs.

###### Parameters

ec

  Set to indicate what error occurred, if any.